services:
  chatgpt-next-web:
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - "${PANEL_APP_PORT_HTTP}:3000"
    environment:
      - "OPENAI_API_KEY=${API_KEY}"
      - "CODE=${SECRET_KEY}"
      - "PROXY_URL=${PROXY}"
      - "BASE_URL=${API_BASE_URL}"
      - "WHITE_WEBDAV_ENDPOINTS=${WHITE_WEBDAV_ENDPOINTS}"
    image: yidadaa/chatgpt-next-web:v2.16.1
    labels:
      createdBy: "Apps"

networks:
  opsmind-network:
    external: true
